#!/bin/sh
#
# mediatomb

. /etc/service.subr

prog_dir=`dirname \`realpath $0\``

name="mediatomb"
version="0.12.1_1"

pidfile=${prog_dir}/mediatomb.pid
logfile=${prog_dir}/mediatomb.log
# define a fixed port for mediatomb
port=49152

##
## If you get "error while loading shared libraries: ..." during startup,
## try to uncomment the following lines to set the library path
##
#libdir=${prog_dir}/lib
#if [ -n ${libdir} ]; then
#	export LD_LIBRARY_PATH=${libdir}
#fi

export MEDIATOMB_DATADIR="${prog_dir}/share/mediatomb"
export MEDIATOMB_MAGIC_FILE="${prog_dir}/share/file/magic"

start()
{
	rm ${logfile}.last >> /dev/null 2>&1
	mv ${logfile} ${logfile}.last >> /dev/null 2>&1
	
	${prog_dir}/bin/mediatomb -d -m ${prog_dir} -f config -e eth0 -p ${port} -P ${pidfile} \
		--logfile ${logfile} >> ${logfile} 2>&1
}

case "$1" in
start)
	start_service
	;;
stop)
	stop_service
	;;
restart)
	stop_service
	sleep 3
	start_service
	;;
status)
	status
	;;
*)
	echo "Usage: $0 [start|stop|restart|status]"
	exit 1
	;;
esac
